Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
submissions
List Submissions
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/submissions \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/submissions"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "number": "SUB-2024-001",
      "name": "Acme Corp Submission",
      "status": "quoted",
      "type": "new_business",
      "primaryInsuredName": "Acme Corporation",
      "applicationId": "550e8400-e29b-41d4-a716-446655440010",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-16T14:20:00.000Z"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "number": "SUB-2024-002",
      "name": null,
      "status": "in_progress",
      "type": "renewal",
      "primaryInsuredName": "XYZ Healthcare",
      "applicationId": "550e8400-e29b-41d4-a716-446655440011",
      "createdAt": "2024-01-10T08:00:00.000Z",
      "updatedAt": null
    }
  ],
  "totalCount": 150
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

status

Filter by status: in_progress, submitted, quote_in_progress, quoted, bound, declined, expired, cancelled

type
enum<string>[]

Filter by submission type

Available options:
new_business,
renewal,
endorsement,
cancellation
filterText
string

Search across quote number, description, and other text fields

sortBy
enum<string>
default:createdAt

Field to sort by (default createdAt)

Available options:
createdAt,
updatedAt,
primaryInsuredName,
number,
status,
type
sortDirection
enum<string>
default:desc

Sort direction (default desc)

Available options:
asc,
desc
page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1

Response

Paginated list of submissions

items
object[]
totalCount
integer

Total number of matching submissions across all pages